MockTokenizerFactory (Solr 3.6.2 API)
Keywords: org.apache.solr.analysis.MockTokenizerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.analysis
Class MockTokenizerFactory

    java.lang.Object
      org.apache.solr.analysis.BaseTokenizerFactory
          org.apache.solr.analysis.MockTokenizerFactory

All Implemented Interfaces:
  org.apache.solr.analysis.TokenizerFactory

    public class MockTokenizerFactory

extends org.apache.solr.analysis.BaseTokenizerFactory

Factory for `MockTokenizer` for testing purposes.

Field Summary
`protected Map<String,String>` | `args`
`protected Version` | `luceneMatchVersion`

Fields inherited from class org.apache.solr.analysis.BaseTokenizerFactory
`log`

Constructor Summary
`MockTokenizerFactory()`

Method Summary
`protected void` | `assureMatchVersion()`
`Tokenizer` | `create(Reader input)`
`Map<String,String>` | `getArgs()`
`protected boolean` | `getBoolean(String arg0, boolean arg1)`
`protected boolean` | `getBoolean(String arg0, boolean arg1, boolean arg2)`
`protected int` | `getInt(String arg0)`
`protected int` | `getInt(String arg0, int arg1)`
`protected int` | `getInt(String arg0, int arg1, boolean arg2)`
`protected CharArraySet` | `getSnowballWordSet(org.apache.solr.common.ResourceLoader arg0, String arg1, boolean arg2)`
`protected CharArraySet` | `getWordSet(org.apache.solr.common.ResourceLoader arg0, String arg1, boolean arg2)`
`void` | `init(Map<String,String> args)`
`protected void` | `warnDeprecated(String arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.solr.analysis.TokenizerFactory
`getArgs`

Field Detail

### args

    protected Map<String,String> args

### luceneMatchVersion

    protected Version luceneMatchVersion

Constructor Detail

### MockTokenizerFactory

    public MockTokenizerFactory()

Method Detail

### init

    public void init(Map<String,String> args)

  Specified by:
    `init` in interface `org.apache.solr.analysis.TokenizerFactory`

### create

    public Tokenizer create(Reader input)

### getArgs

    public Map<String,String> getArgs()

### assureMatchVersion

    protected final void assureMatchVersion()

### warnDeprecated

    protected final void warnDeprecated(String arg0)

### getInt

    protected int getInt(String arg0)

### getInt

    protected int getInt(String arg0,
                         int arg1)

### getInt

    protected int getInt(String arg0,
                         int arg1,
                         boolean arg2)

### getBoolean

    protected boolean getBoolean(String arg0,
                                 boolean arg1)

### getBoolean

    protected boolean getBoolean(String arg0,
                                 boolean arg1,
                                 boolean arg2)

### getWordSet

    protected CharArraySet getWordSet(org.apache.solr.common.ResourceLoader arg0,
                                      String arg1,
                                      boolean arg2)
                               throws IOException

  Throws:
    `IOException`

### getSnowballWordSet

    protected CharArraySet getSnowballWordSet(org.apache.solr.common.ResourceLoader arg0,
                                              String arg1,
                                              boolean arg2)
                                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD